-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/49019/
-----------------------------------------------------------

Review request for Ambari, Nate Cole and Vitalyi Brodetskyi.


Bugs: AMBARI-17334
    https://issues.apache.org/jira/browse/AMBARI-17334


Repository: ambari


Description
-------

Registering the version HDP-2.5 fails (Even when you check skip repo checks 
button). The default repo entries were used

{code}
Caught AmbariException when modifying a resource

org.apache.ambari.server.AmbariException: Version HDP-2.5.0.0 needs to belong 
to stack HDP-2.5
{code}


Diffs
-----

  
ambari-server/src/main/java/org/apache/ambari/server/orm/entities/RepositoryVersionEntity.java
 db393b9 
  
ambari-server/src/test/java/org/apache/ambari/server/controller/internal/CompatibleRepositoryVersionResourceProviderTest.java
 066e0d0 

Diff: https://reviews.apache.org/r/49019/diff/


Testing
-------

mvn clean test


Thanks,

Dmitro Lisnichenko

Reply via email to